.cta-form {
	position: relative;

	& .sidebar-section__inner {
		width: 100%;
		padding: 2em 0;
	}

	& .default-section__inner {
		max-width: 600px;
		width: 100%;
	}

	& .sidebar-section__block {
		width: 100%;
		padding: 1em 0;

		@media (--s) {
			width: 50%;
			padding: 2em;
		}
	}

	& .sidebar-section__block--content {
		display: flex;
		align-items: center;
	}

	& .default-section__header,
	& .default-section__main {
		position: relative;
		z-index: 3;
	}
}

.cta-form--form-right {
	& .sidebar-section__block--content {
		justify-content: flex-end;
		text-align: right;
	}

	& .default-section__inner {
		text-align: right;
		margin: auto 0 auto auto;
	}
}

.cta-form--form-center {
	& .sidebar-section__block--content {
		justify-content: center;
		text-align: center;
	}

	& .default-section__inner {
		text-align: center;
		margin: auto;
	}
}

.cta-form__background {
	@mixin abs-full;

	z-index: 1;
}

.cta-form__overlay {
	@mixin abs-full;

	z-index: 2;
}

.cta-form--dark {
	color: var(--white);
}
